Bullet Collision Detection & Physics Library: btGeneric6DofConstraintData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btGeneric6DofConstraintData Struct Reference

`#include <btGeneric6DofConstraint.h>`

Collaboration diagram for btGeneric6DofConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
btVector3FloatData | m_linearUpperLimit
btVector3FloatData | m_linearLowerLimit
btVector3FloatData | m_angularUpperLimit
btVector3FloatData | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 554 of file btGeneric6DofConstraint.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

btVector3FloatData btGeneric6DofConstraintData::m_angularLowerLimit

Definition at line 564 of file btGeneric6DofConstraint.h.

## ◆ m_angularUpperLimit

btVector3FloatData btGeneric6DofConstraintData::m_angularUpperLimit

Definition at line 563 of file btGeneric6DofConstraint.h.

## ◆ m_linearLowerLimit

btVector3FloatData btGeneric6DofConstraintData::m_linearLowerLimit

Definition at line 561 of file btGeneric6DofConstraint.h.

## ◆ m_linearUpperLimit

btVector3FloatData btGeneric6DofConstraintData::m_linearUpperLimit

Definition at line 560 of file btGeneric6DofConstraint.h.

## ◆ m_rbAFrame

btTransformFloatData btGeneric6DofConstraintData::m_rbAFrame

Definition at line 557 of file btGeneric6DofConstraint.h.

## ◆ m_rbBFrame

btTransformFloatData btGeneric6DofConstraintData::m_rbBFrame

Definition at line 558 of file btGeneric6DofConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btGeneric6DofConstraintData::m_typeConstraintData

Definition at line 556 of file btGeneric6DofConstraint.h.

## ◆ m_useLinearReferenceFrameA

int btGeneric6DofConstraintData::m_useLinearReferenceFrameA

Definition at line 566 of file btGeneric6DofConstraint.h.

## ◆ m_useOffsetForConstraintFrame

int btGeneric6DofConstraintData::m_useOffsetForConstraintFrame

Definition at line 567 of file btGeneric6DofConstraint.h.

The documentation for this struct was generated from the following file:

- btGeneric6DofConstraint.h